> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Appointment

POST https://api.propexo.com/crm/v1/appointments
Content-Type: application/json

Create an appointment for an integration.

Reference: https://docs.propexo.com/api-reference/crm-generic-ap-is/appointments/create-appointment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_appointments_post_input.

- `integration_id` (string, required)
- `community_id` (string, optional) — The Propexo unique identifier for the community
- `prospect_id` (string, optional) — The Propexo unique identifier for the prospect. When provided, books an appointment for an existing prospect. When omitted, creates a new prospect with an appointment.
- `appointment_date` (CrmV1AppointmentsPostInputAppointmentDate, optional) — The date when the appointment will occur
- `appointment_time` (string, optional) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
- `email_1` (string, optional) — The primary email address associated with the prospect. This field and/or the phone_1 field are required
- `phone_1` (string, optional) — Primary phone number associated with the prospect. This field and/or the email_1 field are required
- `first_name` (string, optional) — The first name associated with the prospect
- `last_name` (string, optional) — The last name associated with the prospect
- `move_in_date` (CrmV1AppointmentsPostInputMoveInDate, optional) — The move-in date associated with the prospect
- `rent_minimum_in_cents` (integer, optional) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, optional) — The maximum rent of the prospect
- `notes` (string, optional) — Notes associated with the prospect
- `desired_num_bedrooms` (list of integer, optional) — The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.
- `tour_type` (enum, optional) — The type of appointment being scheduled.
  - Allowed values: `LIVE_VIDEO`, `IN_PERSON`, `SELF_GUIDED`
- `lease_term_in_months` (integer, optional) — The amount of months for the lease term
- `phone_2` (string, optional) — Primary phone number associated with the prospect
- `attribution_id` (string, optional) — The Propexo unique identifier for the attribution
- `number_of_occupants` (integer, optional) — The number of occupants living in the unit
- `pets` (list of enum, optional) — A list of pets related to the prospect
  - Allowed values: `SMALL_DOG`, `LARGE_DOG`, `CAT`
- `first_contact_type` (enum, optional) — The type of initial contact with the prospect
  - Allowed values: `CALL`, `CHAT`, `EMAIL`, `FACEBOOK`, `FORM`, `INTERNET`, `KNOCK_SCHEDULE`, `SMS`, `WALK_IN`

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (CrmV1AppointmentsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1AppointmentsPostInputAppointmentDate

The date when the appointment will occur

### CrmV1AppointmentsPostInputMoveInDate

The move-in date associated with the prospect

### CrmV1AppointmentsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/appointments"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/appointments';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/appointments"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/appointments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/appointments")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/appointments', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/appointments");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/appointments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```